Bug 823448 - unexpected error message appears when trying to interrupt the tail log
unexpected error message appears when trying to interrupt the tail log
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-21 05:50 EDT by Meng Bo
Modified: 2015-05-14 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhc-0.93.12-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-21 05:50:04 EDT
Description of problem:
use Ctrl+C to interrupt tail app logs, unexpected code error message will show up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create app
rhc app create -a app1 -t perl-5.10
2.tail log via rhc-tail-files command
rhc-tail-files -a app1
3.use ctrl+c to stop the tail log, after the logs show
Actual results:
unexpected error code message will show in the terminal.

Expected results:
tail log should be stopped smoothly.

Additional info:
[root@localhost ~]# rhc-tail-files -a perl1
Password: ******

Attempting to tail files: perl1/logs/*
Use ctl + c to stop
==> perl1/logs/error_log-20120521-000000-EST <==
[Mon May 21 05:37:31 2012] [error] [client] File does not exist: /var/lib/stickshift/949e39dd423c4a398551fe56dc72c6de/perl1/repo/perl/apache-status

==> perl1/logs/access_log-20120521-000000-EST <==
<-----------------> - - [21/May/2012:05:37:21 -0400] "GET /apache-status?auto HTTP/1.0" 404 287 "-" "collectd/4.10.7" - - [21/May/2012:05:37:31 -0400] "GET /apache-status?auto HTTP/1.0" 404 287 "-" "collectd/4.10.7"
^C/usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/ruby_compat.rb:36:in `select': Interrupt
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/ruby_compat.rb:36:in `io_select'
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/connection/session.rb:201:in `process'
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/connection/session.rb:161:in `loop'
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/connection/session.rb:161:in `loop_forever'
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh/connection/session.rb:161:in `loop'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/lib/rhc-common.rb:1257:in `ssh_ruby'
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.3.0/lib/net/ssh.rb:193:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/lib/rhc-common.rb:1245:in `ssh_ruby'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/bin/rhc-tail-files:112
	from /usr/bin/rhc-tail-files:19:in `load'
	from /usr/bin/rhc-tail-files:19
Comment 1 Clayton Coleman 2012-05-25 16:08:52 EDT
Looks like we need to handle signal interrupt gracefully here, not with a stack trace.
Comment 2 Fabiano Franz 2012-05-28 16:08:21 EDT
Comment 3 Meng Bo 2012-05-30 06:33:58 EDT
verified on rhc-0.93.15

Note You need to log in before you can comment on or make changes to this bug.